*** a/doc/src/sgml/config.sgml
--- b/doc/src/sgml/config.sgml
***************
*** 2000,2006 **** SET ENABLE_SEQSCAN TO OFF;
          <varname>max_standby_archive_delay</> applies when WAL data is
          being read from WAL archive (and is therefore not current).
          The default is 30 seconds. Units are milliseconds if not specified.
!         A value of -1 allows the standby to wait forever for conflicting
          queries to complete.
          This parameter can only be set in the <filename>postgresql.conf</>
          file or on the server command line.
--- 2000,2006 ----
          <varname>max_standby_archive_delay</> applies when WAL data is
          being read from WAL archive (and is therefore not current).
          The default is 30 seconds. Units are milliseconds if not specified.
!         A value of <literal>-1</> allows the standby to wait forever for conflicting
          queries to complete.
          This parameter can only be set in the <filename>postgresql.conf</>
          file or on the server command line.
***************
*** 2030,2036 **** SET ENABLE_SEQSCAN TO OFF;
          <varname>max_standby_streaming_delay</> applies when WAL data is
          being received via streaming replication.
          The default is 30 seconds. Units are milliseconds if not specified.
!         A value of -1 allows the standby to wait forever for conflicting
          queries to complete.
          This parameter can only be set in the <filename>postgresql.conf</>
          file or on the server command line.
--- 2030,2036 ----
          <varname>max_standby_streaming_delay</> applies when WAL data is
          being received via streaming replication.
          The default is 30 seconds. Units are milliseconds if not specified.
!         A value of <literal>-1</> allows the standby to wait forever for conflicting
          queries to complete.
          This parameter can only be set in the <filename>postgresql.conf</>
          file or on the server command line.
*** a/src/backend/replication/walsender.c
--- b/src/backend/replication/walsender.c
***************
*** 93,98 **** static volatile sig_atomic_t ready_to_stop = false;
--- 93,99 ----
  static void WalSndSigHupHandler(SIGNAL_ARGS);
  static void WalSndShutdownHandler(SIGNAL_ARGS);
  static void WalSndQuickDieHandler(SIGNAL_ARGS);
+ static void WalSndLastCycleHandler(SIGNAL_ARGS);
  
  /* Prototypes for private functions */
  static int	WalSndLoop(void);
